> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/script.md).

# Script

Script : `BaseScript`

## Overview

A script is an instance used to run server-side code

When the Enabled property is set to true and the server-side script is placed in Workspace or ServerScriptService, it will run in a new thread.

A running script continues to run unless it is explicitly stopped or encounters a critical error. Errors that occur inside functions connected to events do not stop the script from running.

If the script itself or any of its ancestor Objects is fully removed using Destroy(), the script stops running. However, if the script's Parent is set to nil but the Object remains in memory, the script will continue to run.

## Properties

## Methods

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/script.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
